package appl.ext;

import static edu.bonn.xulu.appl.XuluConstants.XULUGUI_RES;
import appl.util.XuluFrameAdapter;
import edu.bonn.xulu.gui.XuluInternalFrame;
import edu.bonn.xulu.plugin.appl.AbstractMenuPlugin;
/**
 * The configuration plug-in.
 *
 * @see XuluConfig
 * @see ConfigurationEditorGUI
 * @see ConfigurationEditorEngine
 * @author Dominik Appl
 */
public class ConfigurationEditorPlugin extends AbstractMenuPlugin {

	/*
	 * (non-Javadoc)
	 *
	 * @see edu.bonn.xulu.plugin.appl.AbstractMenuPlugin#createPluginApplication()
	 */

	@Override
	protected XuluInternalFrame createPluginApplication() throws Exception {
		ConfigurationEditorGUI GUI = new ConfigurationEditorEngine().getGUI();
		return new XuluFrameAdapter(XULUGUI_RES
				.getString("Menu_Advanced_Preferences"), GUI);
	}

	/**
	 *
	 */
	public ConfigurationEditorPlugin() {
		super(4, XULUGUI_RES.getString("Menu_Advanced_Preferences"));

	}

}
